Package: org.gradle.tooling.model

## [Java] Interface Element

- org.gradle.tooling.model.Element

- All Superinterfaces:
    Model

  Described model element.

  Since:
    1.0-milestone-5

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getDescription()` Returns the description of the element, or `null` if it has no description.
    `String` | `getName()` Returns the name of the element.

- - ### Method Detail

    - #### @Nullable public String getDescription()

      Returns the description of the element, or `null` if it has no description.

      Returns:
        The description of the element, or `null` if it has no description.
      Since:
        1.0-milestone-5

    - #### public String getName()

      Returns the name of the element. Note that the name is not a unique identifier.

      Returns:
        The name of the element.
      Since:
        1.0-milestone-5